Skip to content

Get statuses of all messages sent based on the specified ruleset_id

Request

Retrieves statuses of messages sent from the Outbound module. Currently, this API only supports WhatsApp messages.

This endpoint returns paginated status events for WhatsApp messages sent via the Outbound module, providing information about delivery state and related message details.

Security
bearerAuth
Query
ruleset_idstringrequired

The unique identifier for the set of messages to check status for

per_pageinteger, <= 100

Number of results per page (default 50, max 100)

Default:50
starting_afterstring

Cursor for pagination, used to fetch the next page of results

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/messages/status?ruleset_id=string&per_page=50&starting_after=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Successful response

Bodyapplication/json
typestringrequired
Value:"list"
ruleset_idstringrequired

The provided ruleset ID

pagesobjectrequired
total_countintegerrequired

Total number of events

eventsArray of objectsrequired
Response
{ "type": "list", "ruleset_id": 12345, "pages": { "type": "pages", "per_page": 50, "total_pages": 3, "next": {} }, "total_count": 125, "events": [ {}, {} ] }